package graphicalUserInterface;
 
import javax.swing.JFrame;
import javax.swing.JPanel;
import products.WritingImplement;

public class DisplayPriceList extends JPanel {
 
    //Here we will define the components of our panel as attributes
    private static JFrame frame;
    
    private static void createAndShowGUI() {
        
        //In the constructor we initialise all the the components
        //we defined above, provided specific properties such as the
        //title and what to do when we click on the 'X' for a window
        //defined by the JFrame class.
        frame = new JFrame("SimpleTableDemo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        //This code builds and displays the window (JFrame).
        frame.pack();
        frame.setVisible(true);
    }
 
    public static void main(String[] args) {
        //Schedule a job for the event-dispatching thread:
        //creating and showing this application's GUI.
        //this is so that we can run the application separately from the code that called it.
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });
    }
}